<?php
require("session_check.php");	
	//变量取得
	$report_id=intval(get_argg('rid'));
	$type=intval(get_argg('type'));

	if($type!=''){

		if($type=="1"){
			$group_id=intval(get_argg('redid'));
			$type_value=0;
			require 'group_lock.action.php';
		}
		if($type=="0"){
			$blog_id=intval(get_argg('redid'));
			$sendor_id=intval(get_argg('uedid'));
			require 'blog_del.action.php';
		}
		if($type=="3"){
			$photo_id=intval(get_argg('redid'));
			$user_id=intval(get_argg('uedid'));
			require 'photo_del.action.php';
		}
		if($type=="2"){
			$album_id=intval(get_argg('redid'));
			$user_id=intval(get_argg('uedid'));
			require 'album_del.action.php';
		}
		if($type=="4"){
			$pid=intval(get_argg('redid'));
			$sendor_id=intval(get_argg('uedid'));
			require 'poll_del.action.php';
		}
		if($type=="8"){
			$share_id=intval(get_argg('redid'));
			$u_id=intval(get_argg('uedid'));
			require 'share_del.action.php';
		}
		if($type=="9"){
			$subject_id=intval(get_argg('redid'));
			$sendor_id=intval(get_argg('uedid'));
			require 'subject_del.action.php';
		}
		if($type=="10"){
			$user_id=intval(get_argg('redid'));
			$type_value=0;
			require 'member_lock.action.php';
		}

		//数据表定义区
		$t_report = $tablePreStr."report";
		
		$sql = "delete from $t_report where report_id =$report_id";
		$dbo -> exeUpdate($sql);
	}else{	
		//语言包引入
		$m_langpackage=new modulelp;
		
		//数据表定义区
		$t_report = $tablePreStr."report";
	
		$dbo = new dbex;
		//读写分离定义方法
		dbtarget('r',$dbServs);
		
		$report_id=short_check(get_argg('rid'));
		$type=short_check(get_argg('type'));
	
		$sql = "delete from $t_report where report_id =$report_id";
		if($dbo -> exeUpdate($sql)){
			echo $m_langpackage->m_del_suc;
		}
	}
?>